# image: gitlab/gitlab-runner:alpine3.12-bleeding
imagePullPolicy: IfNotPresent
replicas: 1
gitlabUrl: https://gitlab.com/
runnerRegistrationToken: __REDACTED__
terminationGracePeriodSeconds: 3600
concurrent: 1
checkInterval: 0
logLevel: "debug"
sessionServer:
  enabled: true
  # timeout: 1800
  # internalPort: 8093
  # externalPort: 9000
  # publicIP: ""

## For RBAC support:
rbac:
  create: false
  rules: []
  clusterWideAccess: false
  serviceAccountName: "wi-sa"
  podSecurityPolicy:
    enabled: false
    resourceNames:
    - gitlab-runner

metrics:
  enabled: true
  portName: metrics
  port: 9252
  serviceMonitor:
    enabled: false

service:
  enabled: false
  type: ClusterIP

## Configuration for the Pods that the runner launches for each new job
##
runners:
  config: |
    [[runners]]
      [runners.kubernetes]
        namespace = "{{.Release.Namespace}}"
        image = "ubuntu:20.04"
        privileged = true
      [[runners.kubernetes.volumes.empty_dir]]
        name = "docker-certs"
        mount_path = "/certs/client"
        medium = "Memory"

  cache: {}
  builds: {}
  services: {}
  helpers: {}

securityContext:
  runAsUser: 100
  fsGroup: 65533

resources: {}
affinity: {}
nodeSelector: {}
tolerations: []
hostAliases: []
podAnnotations: {}
podLabels: {}
secrets: []
configMaps: {}
